petsc-3.6.2 2015-10-02
Report Typos and Errors

# PCJacobiSetType

Causes the Jacobi preconditioner to use either the diagonal, the maximum entry in each row, of the sum of rows entries for the diagonal preconditioner

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCJacobiSetType(PC pc,PCJacobiType type)

Logically Collective on PC

### Input Parameters

| pc | - the preconditioner context
| type | - PC_JACOBI_DIAGONAL, PC_JACOBI_ROWMAX, PC_JACOBI_ROWSUM

### Options Database Key

-pc_jacobi_type <diagonal,rowmax,rowsum> -

### See Also

PCJacobiaUseAbs(), PCJacobiGetType()

Level:intermediate
Location:src/ksp/pc/impls/jacobi/jacobi.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages